version: '3.7'

services:
  api:
    container_name: sge_1_api
    build:
      context: .
      target: development
    volumes:
      - .:/usr/src/app
      - /usr/src/app/node_modules
    ports:
      - ${API_PORT}:${API_PORT}
      - 9229:9229
    command: npm run start:debug
    env_file:
      - .env
    networks:
      - backend
    depends_on:
      - redis
      - postgres

  redis:
    container_name: redis_1_db
    image: redis
    ports:
      - 6379:6379
    command: redis-server --requirepass redis
    networks:
      - backend
  postgres:
    container_name: postgres_db
    image: postgres:9.6-alpine
    networks:
      - backend
    environment:
      POSTGRES_PASSWORD: ${DB_PASSWORD}
      POSTGRES_USER: ${DB_USERNAME}
      POSTGRES_DB: ${DB_NAME}
      PG_DATA: /var/lib/postgresql/data
    ports:
      - 5432:5432
    volumes:
      - api_db_data:/var/lib/postgresql/data

networks:
  backend:
volumes:
  api_db_data:
